Package: groovy.grape

## [Groovy] Class GrapeIvy

- groovy.grape.GrapeIvy

- All Implemented Interfaces and Traits:
    GrapeEngine

      class GrapeIvy
      extends Object

  Implementation supporting `@Grape` and `@Grab` annotations based on Ivy.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static int` | `DEFAULT_DEPTH`
    `Set<String>` | `downloadedArtifacts`
    `boolean` | `enableGrapes`
    `Set<IvyGrabRecord>` | `grabRecordsForCurrDependencies`
    `org.apache.ivy.Ivy` | `ivyInstance`
    `Map<ClassLoader, Set<IvyGrabRecord>>` | `loadedDeps`
    `Set<String>` | `resolvedDependencies`
    `org.apache.ivy.core.settings.IvySettings` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrapeIvy ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResolver(Map<String, Object> args)`
    `` | `def` | `chooseClassLoader(Map args)`
    `` | `IvyGrabRecord` | `createGrabRecord(Map deps)`
    `` | `Map<String, Map<String, List<String>>>` | `enumerateGrapes()`
    `` | `org.apache.ivy.core.report.ResolveReport` | `getDependencies(Map args, IvyGrabRecord... grabRecords)`
    `` | `File` | `getGrapeCacheDir()`
    `` | `File` | `getGrapeDir()`
    `` | `File` | `getGroovyRoot()`
    `` | `File` | `getLocalGrapeConfig()`
    `` | `def` | `grab(String endorsedModule)`
    `` | `def` | `grab(Map args)`
    `` | `def` | `grab(Map args, Map... dependencies)`
    `` | `Map[]` | `listDependencies(ClassLoader classLoader)`
    `` | `void` | `processOtherServices(ClassLoader loader, File f)`
    `` | `void` | `processRunners(InputStream is, String name, ClassLoader loader)`
    `` | `void` | `processSerializedCategoryMethods(InputStream is)`
    `` | `URI[]` | `resolve(Map args, Map... dependencies)`
    `` | `URI[]` | `resolve(Map args, List depsInfo, Map... dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, Map... dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, List depsInfo, Map... dependencies)`
    `` | `void` | `uninstallArtifact(String group, String module, String rev)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### static final int DEFAULT_DEPTH

    - #### Set<String> downloadedArtifacts

    - #### boolean enableGrapes

    - #### Set<IvyGrabRecord> grabRecordsForCurrDependencies

    - #### org.apache.ivy.Ivy ivyInstance

    - #### Map<ClassLoader, Set<IvyGrabRecord>> loadedDeps

    - #### Set<String> resolvedDependencies

    - #### org.apache.ivy.core.settings.IvySettings settings

  - ### Constructor Detail

    - #### GrapeIvy()

  - ### Method Detail

    - #### void addResolver(Map<String, Object> args)

    - #### def chooseClassLoader(Map args)

    - #### IvyGrabRecord createGrabRecord(Map deps)

    - #### Map<String, Map<String, List<String>>> enumerateGrapes()

    - #### org.apache.ivy.core.report.ResolveReport getDependencies(Map args, IvyGrabRecord... grabRecords)

    - #### File getGrapeCacheDir()

    - #### File getGrapeDir()

    - #### File getGroovyRoot()

    - #### File getLocalGrapeConfig()

    - #### def grab(String endorsedModule)

    - #### def grab(Map args)

    - #### def grab(Map args, Map... dependencies)

    - #### Map[] listDependencies(ClassLoader classLoader)

    - #### void processOtherServices(ClassLoader loader, File f)

    - #### void processRunners(InputStream is, String name, ClassLoader loader)

    - #### void processSerializedCategoryMethods(InputStream is)

    - #### URI[] resolve(Map args, Map... dependencies)

    - #### URI[] resolve(Map args, List depsInfo, Map... dependencies)

    - #### URI[] resolve(ClassLoader loader, Map args, Map... dependencies)

    - #### URI[] resolve(ClassLoader loader, Map args, List depsInfo, Map... dependencies)

    - #### void uninstallArtifact(String group, String module, String rev)